Name:		jftp
Version:	1.58
Release:	%mkrel 1
License:	GPLv3
Group:		Networking/File transfer
URL:		http://j-ftp.sourceforge.net/
Source0:	%{name}.jar
Source1:	%{name}.png
Summary:	 JFtp is a graphical Java network and file transfer client.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description

It supports FTP using its own FTP API and various other protocols like SMB, SFTP, NFS, HTTP, and file I/O
using third party APIs, includes many advanced features such as recursive directory up/download,
browsing FTP servers while transferring files, FTP resuming and queueing, browsing the LAN for Windows shares, and more.

You can also have more than one connection open at a time in a mozilla-style tabbed browsing environment.
The FTP API is separated from the GUI and can also be used in third-party applications.

JFtp is free and distributed under the GNU public license. 
The API is dual licensed, you may use it under the GPL in your project or negotiate with the author a commercial license. 

%prep

#%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp %SOURCE0 %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar %{name}.jar 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=J-FTP
GenericName=Multi FTP / SMB client
Comment=%{summary}
StartupNotify=false
Categories=Network;FileTransfer;X-MandrivaLinux-Internet-FileTransfer;
EOF


%files
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Aug 15 2016 adrianomorselli <adrianomorselli> 1.58.1uplos2014
- rebuild

* Thu Sep 04 2014  Agent Smith <ruidobranco@yahoo.com.br> 1.58-1pclos2014
- Created the package jftp-1.58-1pclos2014.noarch.rpm, with latest source.
